<?php 
/*
# ------------------------------------------------------------------------
# Extensions for Joomla 2.5.x - Joomla 3.x - Joomla 4.x
# ------------------------------------------------------------------------
# Copyright (C) 2011-2020 Eco-Joom.com. All Rights Reserved.
# @license - PHP files are GNU/GPL V2.
# Author: Eco-Joom.com
# Author: Makeev Vladimir
#Author email: v.v.makeev@icloud.com
# Websites:  http://eco-joom.com
# Date modified: 05/05/2020 - 13:00
# ------------------------------------------------------------------------
*/

// no direct access
defined('_JEXEC') or die;
if(!defined('DS')){
	define('DS',DIRECTORY_SEPARATOR);
}

	$document 						= JFactory::getDocument();
	$document->addStyleSheet(JURI::base() . 'modules/mod_eco_waterwheel_carousel_phoca_galler/assets/css/default.css');
	
if (!JComponentHelper::isEnabled('com_phocagallery', true)) {
	return JError::raiseError(JText::_('Phoca Gallery Error'), JText::_('Phoca Gallery is not installed on your system'));
}

if (! class_exists('PhocaGalleryLoader')) {
    //require_once( JPATH_ADMINISTRATOR.DS.'components'.DS.'com_phocagallery'.DS.'libraries'.DS.'loader.php');
	require_once (JPATH_ADMINISTRATOR.'/components/com_phocagallery/libraries/loader.php'); 
}

phocagalleryimport('phocagallery.path.path');
phocagalleryimport('phocagallery.file.file');
phocagalleryimport('phocagallery.file.filethumbnail');	
	
	$ext_jquery_ver					= $params->get('ext_jquery_ver', '1.7.1');
	$ext_load_jquery				= (int)$params->get('ext_load_jquery', 1);
	$ext_load_easing				= (int)$params->get('ext_load_easing', 1);
	$ext_load_carousel				= (int)$params->get('ext_load_carousel', 1);
	$ext_easing						= $params->get('ext_easing', 'linear');	
	// phoca
	$catId 							= (int)$params->get('category_id', 1);
	$count							= (int)$params->get('count_images', 5);	
	//baza
	$moduleclass_sfx				= $params->get('moduleclass_sfx');
	$ext_id							= $params->get('ext_id', 'id');
	$ext_width_block				= (int)$params->get('ext_width_block', 800);		
	$ext_height_block				= (int)$params->get('ext_height_block', 300);
	$ext_width						= (int)$params->get('ext_width', 250);
	$ext_height						= (int)$params->get('ext_height', 130);
	// number tweeks to change apperance
	$ext_starting_item				= (int)$params->get('ext_starting_item', 0);
	$ext_separation					= (int)$params->get('ext_separation', 150);
	$ext_separation_multiplier		= $params->get('ext_separation_multiplier', '0.6');
	$ext_horizon_offset				= $params->get('ext_horizon_offset', '0');
	$ext_horizon_offset_multiplier	= $params->get('ext_horizon_offset_multiplier', '0.7');
	$ext_size_multiplier			= $params->get('ext_size_multiplier', '0.7');
	$ext_opacity_multiplier			= $params->get('ext_opacity_multiplier', '0.8');
	$ext_horizon					= $params->get('ext_horizon', '0');
	$ext_flanking_items				= (int)$params->get('ext_flanking_items', 3);
	// animation
	$ext_speed						= (int)$params->get('ext_speed', 300);
	$ext_quicker_for_further		= $params->get('ext_quicker_for_further', 'true');
	$ext_edge_fade_enabled			= $params->get('ext_edge_fade_enabled', 'false');
	// misc	
	$ext_auto_play					= $params->get('ext_auto_play', '0');
	$ext_orientation				= $params->get('ext_orientation', 'horizontal');
	
$ext_script = <<<SCRIPT


var jQ = false;
function initJQ() {
	if (typeof(jQuery) == 'undefined') {
		if (!jQ) {
			jQ = true;
			document.write('<scr' + 'ipt type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/$ext_jquery_ver/jquery.min.js"></scr' + 'ipt>');
		}
		setTimeout('initJQ()', 50);
	}
}
initJQ(); 


SCRIPT;

	if ($ext_load_jquery > 0) {
		$document->addScriptDeclaration($ext_script);
	}	
	if ($ext_load_easing  > 0) { 
		$document->addCustomTag('<script type = "text/javascript" src = "'.JURI::root().'modules/mod_eco_waterwheel_carousel_phoca_galler/assets/js/jquery.easing.1.3.js"></script>'); 
		}	
	if ($ext_load_carousel  > 0) {
		$document->addCustomTag('<script type = "text/javascript" src = "'.JURI::root().'modules/mod_eco_waterwheel_carousel_phoca_galler/assets/js/jquery.waterwheelCarousel.min.js"></script>');		
		}
	$document->addCustomTag('<script type = "text/javascript">if (jQuery) jQuery.noConflict();</script>');	

	
	

//SQL phoca
	$db 		= JFactory::getDBO();	
	$query      = ' SELECT a.title, a.description, a.filename'
			. ' FROM #__phocagallery_categories AS cc'
			. ' LEFT JOIN #__phocagallery AS a ON a.catid = cc.id'
			. ' WHERE a.published = 1 AND a.catid = ' . (int)$catId
			//. ' WHERE cc.published = 1 AND a.published = 1 AND a.catid = ' . (int)$catId
			//. ' ORDER BY RAND()'
			. ' ORDER BY a.ordering'
			. ' LIMIT '.(int)$count;
	$db->setQuery($query);
	$images = $db->loadObjectList();
	
	
require JModuleHelper::getLayoutPath('mod_eco_waterwheel_carousel_phoca_galler', $params->get('layout', 'default'));
	
?>